Subject: [AVTCORE] RTP Header Encryption

From: Justin Uberti <[email-masked]>
Date: Wed, 29 Jul 2020 23:12:18 -0700

While investigating some issues with libwebrtc's implementation of RFC 6904
header encryption, I noted it is a fairly complex mechanism, which perhaps
partially explains why it hasn't yet seen widespread adoption.

I do think encrypting RTP header extensions in modern communications apps
would be a Good Thing, and a few of us have put together some ideas on how
we could improve things here. We'll discuss briefly in Thursday's AVTCORE
meeting, but if you're interested in this topic, please join us at 1600 UTC
for a longer discussion at https://meet.google.com/awy-bndk-pgi.

For more details, see the slides
<https://drive.google.com/file/d/1VtOLrBsoFvmJCuBXaXGQKyzBzWqna3sk/view?usp=sharing>
for
the discussion.

Justin